use crate::{Property, PropertySet};

#[derive(Debug)]
pub enum Error {
  /// An error when attempting to create a new card.
  /// The missing property is defined in the internals value.
  NoCardPropertyDefined(Property),
  /// An invalid set of cards with invalid properties for the set defined in a [`crate::PropertySet`].
  /// The [`crate::Property`] bits will be flipped on for any property which was either not all equal or not all different for any given attempted set.
  InvalidSet(PropertySet),
}

